PHP Manual
Prev |  | Next

# ctype_digit

(PHP 4 >= 4.0.4, PHP 5)

ctype_digit -- Check for numeric character(s)

## Description

bool ctype_digit ( string text )

Checks if all of the characters in the provided string, `text`, are numerical.

## Parameters

`text`

  The tested string.

## Return Values

Returns `TRUE` if every character in `text` is a decimal digit, `FALSE` otherwise.

## Examples

Example 1. A ctype_digit() example

`<?php $strings = array('1820.20', '10002', 'wsl!12'); foreach ($strings as $testcase) { if (ctype_digit($testcase)) { echo "The string $testcase consists of all digits.\n"; } else { echo "The string $testcase does not consist of all digits.\n"; } } ?>`

The above example will output:

    The string 1820.20 does not consist of all digits.
    The string 10002 consists of all digits.
    The string wsl!12 does not consist of all digits.

## See Also

ctype_alnum()
ctype_xdigit()

Prev | Home | Next
ctype_cntrl | Up | ctype_graph